<?php
defined( 'ABSPATH' ) or die();
require_once( WL_IM_PLUGIN_DIR_PATH . '/admin/inc/helpers/WL_IM_Helper.php' );

$data                      = WL_IM_Helper::get_data();
$count                     = $data['count'];
$course_data               = $data['course_data'];
$recent_enquiries          = $data['recent_enquiries'];
$popular_courses_enquiries = $data['popular_courses_enquiries'];
$revenue                   = $data['revenue'];
?>
<div class="container-fluid wl_im_container">
	<div class="row col-md-12 institute_banner">
		<div class="col-md-6 col-sm-12 institute_banner_img">
			<h2><?php _e('Institute Management Pro', WL_IM_DOMAIN ); ?></h2>
			<img class="img-fluid" src="<?php echo WL_IM_PLUGIN_URL . '/admin/img/institute.png' ?>">
		</div>
		<div class="col-md-6 col-sm-12 institute_banner_featurs">
			<h4 class="mb-3 ml-5"><span class="border-white border-bottom pb-1"><?php _e('Institute Management Pro Features', WL_IM_DOMAIN ); ?></span></h4>
			<ul>
				<li><?php _e('Course Management', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Batch Management', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Enquiry Management', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Student Management', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Fee Management', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Exam Results Management', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Staff Management', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Admin Dashboard', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Student Dashboard', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Access Control', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Generate and Print Reports', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Export records to Excel or PDF', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Search and Filter Records', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Institute Settings', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Print Fee Receipt, Report, ID Card, Admission Detail and Completion Certificate', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Institute Noticeboard Widget', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Send Notifications to Students', WL_IM_DOMAIN ); ?></li>
				<li><?php _e('Pay Fees with PayPal, Razorpay Payment Methods', WL_IM_DOMAIN ); ?></li>
			</ul>
			<div class="col-md-12">
				<a class="button-primary button-hero" href="http://demo.weblizar.com/institute-management-pro/" target="_blank"><?php _e('View Demo', WL_IM_DOMAIN ); ?></a>
				<a class="button-primary button-hero" href="https://weblizar.com/plugins/institute-management-pro/" target="_blank"><?php _e('Buy Now', WL_IM_DOMAIN ); ?> $15</a>
			</div>
			<div class="plugin_version">
				<span><b>1.4</b><?php _e('Version', WL_IM_DOMAIN ); ?></span>
			</div>
		</div>
	</div>
	<!-- row 1 -->
	<div class="row">
		<div class="col">
			<!-- main header content -->
			<h1 class="display-4 text-center"><span class="border-bottom"><i class="fa fa-tachometer"></i> <?php _e( 'Dashboard', WL_IM_DOMAIN ); ?></span></h1>
			<div class="mt-3 alert alert-info text-center" role="alert">
				<?php _e('Here, you can view statistics and reports.', WL_IM_DOMAIN ); ?>
			</div>
			<!-- end main header content -->
		</div>
	</div>
	<!-- end - row 1 -->

	<!-- row 2 -->
	<div class="row">
		<div class="card col">
			<div class="card-header">
				<!-- card header content -->
				<div class="row">
					<div class="col-xs-12">
						<div class="h3"><?php _e( 'View Statistics and Reports', WL_IM_DOMAIN ); ?></div>
					</div>
				</div>
				<!-- end - card header content -->
			</div>
			<div class="card-body">
				<!-- card body content -->
				<div class="row text-center">
					<?php
					if ( current_user_can( 'wl_im_manage_courses' ) ) { ?>
					<div class="col-md-3 col-sm-4 col-xs-2 mb-4">
						<ul class="list-group">
							<li class="list-group-item active h5"><i class="fa fa-graduation-cap"></i> 
								<a href="<?php menu_page_url( 'institute-management-courses' ); ?>" class="text-white">
									<?php _e( 'Courses', WL_IM_DOMAIN ); ?>
								</a>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Total Courses', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->courses; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Active Courses', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->courses_active; ?></span>
							</li>
						</ul>
					</div>
					<?php
					}
					if ( current_user_can( 'wl_im_manage_batches' ) ) { ?>
					<div class="col-md-3 col-sm-4 col-xs-2 mb-4">
						<ul class="list-group">
							<li class="list-group-item active h5"><i class="fa fa-object-group"></i> 
								<a href="<?php menu_page_url( 'institute-management-batches' ); ?>" class="text-white">
									<?php _e( 'Batches', WL_IM_DOMAIN ); ?>
								</a>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Total Batches', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->batches; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Active Batches', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->batches_active; ?></span>
							</li>
						</ul>
					</div>
					<?php
					}
					if ( current_user_can( 'wl_im_manage_enquiries' ) ) { ?>
					<div class="col-md-3 col-sm-4 col-xs-2 mb-4">
						<ul class="list-group">
							<li class="list-group-item active h5"><i class="fa fa-envelope"></i> 
								<a href="<?php menu_page_url( 'institute-management-enquiries' ); ?>" class="text-white">
									<?php _e( 'Enquiries', WL_IM_DOMAIN ); ?>
								</a>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Total Enquiries', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->enquiries; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Active Enquiries', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->enquiries_active; ?></span>
							</li>
						</ul>
					</div>
					<?php
					}
					if ( current_user_can( 'wl_im_manage_fees' ) ) { ?>
					<div class="col-md-3 col-sm-4 col-xs-2 mb-4">
						<ul class="list-group">
							<li class="list-group-item active h5"><i class="fa fa-usd"></i> 
								<a href="<?php menu_page_url( 'institute-management-fees' ); ?>" class="text-white">
									<?php _e( 'Installments', WL_IM_DOMAIN ); ?>
								</a>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Total Installments', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->installments; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Revenue', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $revenue; ?></span>
							</li>
						</ul>
					</div>
					<?php
					}
					if ( current_user_can( 'wl_im_manage_fees' ) ) { ?>
					<div class="col-md-3 col-sm-4 col-xs-2 mb-4">
						<ul class="list-group">
							<li class="list-group-item active h5"><i class="fa fa-usd"></i> 
								<a href="<?php menu_page_url( 'institute-management-fees' ); ?>" class="text-white">
									<?php _e( 'Fees', WL_IM_DOMAIN ); ?>
								</a>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Fees Pending', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->students_fees_pending; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Fees Paid', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->students_fees_paid; ?></span>
							</li>
						</ul>
					</div>
					<?php
					}
					if ( current_user_can( 'wl_im_manage_students' ) ) { ?>
					<div class="col-md-3 col-sm-4 col-xs-2 mb-4">
						<ul class="list-group">
							<li class="list-group-item active h5"><i class="fa fa-users"></i> 
								<a href="<?php menu_page_url( 'institute-management-students' ); ?>" class="text-white">
									<?php _e( 'Students', WL_IM_DOMAIN ); ?>
								</a>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Total Students', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->students; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Current Students', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->students_current; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Former Students', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->students_former; ?></span>
							</li>
							<li class="list-group-item h6">
								<span class="text-secondary"><?php _e( 'Students Discontinued', WL_IM_DOMAIN ); ?>:</span>
								<span><?php echo $count->students_discontinued; ?></span>
							</li>
						</ul>
					</div>
					<?php
					} ?>
				</div>
				<div class="row">
					<?php
					if ( current_user_can( 'wl_im_manage_enquiries' ) ) { ?>
					<div class="col bg-primary m-3 border-bottom border-primary">
						<div class="h5 mt-3 mb-3 text-white text-center"><i class="fa fa-envelope"></i> 
							<a href="<?php menu_page_url( 'institute-management-enquiries' ); ?>" class="text-white">
								<?php _e( 'Recent Enquiries', WL_IM_DOMAIN ); ?>
							</a>
						</div>
						<?php
						if ( count ( $recent_enquiries ) > 0 ) { ?>
						<ul class="list-group list-group-flush">
							<?php foreach( $recent_enquiries as $enquiry ) {
								$course = '-';
								if ( $enquiry->course_id && isset( $course_data[$enquiry->course_id] ) ) {
									$course_name = $course_data[$enquiry->course_id]->course_name;
									$course_code = $course_data[$enquiry->course_id]->course_code;
									$course      = "$course_name ($course_code)";
								}
							?>
							<li class="list-group-item align-items-center">
								<?php echo "<strong class='text-secondary'>" . WL_IMP_Helper::get_enquiry_id( $enquiry->id ) . "</strong> - <strong>" . $course . "</strong>"; ?>
								<span class="text-secondary float-right">
									<?php echo date_format( date_create( $enquiry->created_at ), "d-m-Y g:i A" ); ?>
								</span>
							</li>
							<?php
							} ?>
						</ul>
						<?php
						} else { ?>
							<div class="text-white text-center pb-3"><?php _e( 'There is no enquiry.', WL_IM_DOMAIN ); ?></div>
						<?php
						} ?>
					</div>
					<?php
					}
					if ( current_user_can( 'wl_im_manage_courses' ) ) { ?>
					<div class="col bg-primary m-3 border-bottom border-primary">
						<div class="h5 mt-3 mb-3 text-white text-center"><i class="fa fa-graduation-cap"></i> 
							<a href="<?php menu_page_url( 'institute-management-courses' ); ?>" class="text-white">
								<?php _e( 'Popular Courses', WL_IM_DOMAIN ); ?>
							</a>
						</div>
						<?php
						$popular_courses_count = 0;
						if ( count ( $popular_courses_enquiries ) > 0 ) { ?>
						<ul class="list-group list-group-flush">
							<?php
							foreach( $popular_courses_enquiries as $enquiry ) {
								if ( $enquiry->course_id && isset( $course_data[$enquiry->course_id] ) ) {
									if ( $course_data[$enquiry->course_id]->is_deleted == 0 ) {
										$course_name = $course_data[$enquiry->course_id]->course_name;
										$course_code = $course_data[$enquiry->course_id]->course_code;
										$course      = "$course_name ($course_code)";
									?>
							<li class="list-group-item align-items-center">
								<?php echo "<strong>" . $course . "</strong>"; ?>
								<span class="text-secondary float-right">
									<?php echo $enquiry->students; ?> <?php echo ( $enquiry->students == 1 ) ? __( 'Student', WL_IM_DOMAIN ) : __( 'Students', WL_IM_DOMAIN ); ?>
								</span>
							</li>
									<?php
										$popular_courses_count++;
									}
								}
							?>
							<?php
							} ?>
						</ul>
						<?php
						} if ( $popular_courses_count == 0 ) { ?>
							<div class="text-white text-center pb-3"><?php _e( 'There is no popular course.', WL_IM_DOMAIN ); ?></div>
						<?php
						} ?>
					</div>
					<?php
					} ?>
				</div>
				<!-- end - card body content -->
			</div>
		</div>
	</div>
	<!-- end - row 2 -->
</div>